Card 39 endpoints

POST /cards/{idCard}/checklist/{idChecklist}/checkItem
operationId: Card_addChecklistCheckItem

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

Request Body

required

Attributes of “Cards Checklist Check Item” to be added.

application/json
schema cards_checklist_checkItem
Property Type Required
pos string optional
name string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/checklist/{idChecklist}/checkItem
DELETE /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}
operationId: Card_removeChecklistCheckItem

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}
POST /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/convertToCard
operationId: Card_convertCheckItemToCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/convertToCard
PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/name
operationId: Card_updateChecklistCheckItemNameById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Request Body

required

Attributes of “Cards Checklist Check Item Name” to be updated.

application/json
schema cards_checklist_checkItem_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/name
PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/pos
operationId: Card_updateCheckItemPosById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Request Body

required

Attributes of “Cards Checklist Check Item Pos” to be updated.

application/json
schema cards_checklist_checkItem_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/pos
PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/state
operationId: Card_updateChecklistCheckItemState

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Request Body

required

Attributes of “Cards Checklist Check Item State” to be updated.

application/json
schema cards_checklist_checkItem_state
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem}/state
GET /cards/{idCard}/checklists
operationId: Card_getChecklistsById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

cards query optional string

One of: all, closed, none, open or visible

card_fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

checkItems query optional string

One of: all or none

checkItem_fields query optional string

all or a comma-separated list of: name, nameData, pos, state or type

filter query optional string

One of: all or none

fields query optional string

all or a comma-separated list of: idBoard, idCard, name or pos

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/checklists
POST /cards/{idCard}/checklists
operationId: Card_addChecklists

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Checklists” to be added.

application/json
schema cards_checklists
Property Type Required
name string optional
value string optional
idChecklistSource string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/checklists
DELETE /cards/{idCard}/checklists/{idChecklist}
operationId: Card_deleteChecklistByIdCardByIdChecklist

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklist path required string

idChecklist

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/checklists/{idChecklist}
PUT /cards/{idCard}/closed
operationId: Card_updateClosedById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Closed” to be updated.

application/json
schema cards_closed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/closed
PUT /cards/{idCard}/desc
operationId: Card_updateDescriptionByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Desc” to be updated.

application/json
schema cards_desc
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/desc
PUT /cards/{idCard}/due
operationId: Card_updateDueById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Due” to be updated.

application/json
schema cards_due
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/due
PUT /cards/{idCard}/idAttachmentCover
operationId: Card_updateAttachmentCoverByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id Attachment Cover” to be updated.

application/json
schema cards_idAttachmentCover
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/idAttachmentCover
PUT /cards/{idCard}/idBoard
operationId: Card_updateBoardByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id Board” to be updated.

application/json
schema cards_idBoard
Property Type Required
value string optional
idList string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/idBoard
POST /cards/{idCard}/idLabels
operationId: Card_addIdLabelsToCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id Labels” to be added.

application/json
schema cards_idLabels
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/idLabels
DELETE /cards/{idCard}/idLabels/{idLabel}
operationId: Card_removeLabelByIdCardByIdLabel

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idLabel path required string

idLabel

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/idLabels/{idLabel}
PUT /cards/{idCard}/idList
operationId: Card_updateIdListByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id List” to be updated.

application/json
schema cards_idList
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/idList
POST /cards/{idCard}/idMembers
operationId: Card_addMembers

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id Members” to be added.

application/json
schema cards_idMembers
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/idMembers
PUT /cards/{idCard}/idMembers
operationId: Card_updateIdMembers

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Id Members” to be updated.

application/json
schema cards_idMembers
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/idMembers
DELETE /cards/{idCard}/idMembers/{idMember}
operationId: Card_removeMemberByIdMember

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idMember path required string

idMember

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/idMembers/{idMember}
POST /cards/{idCard}/labels
operationId: Card_addLabels

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Labels” to be added.

application/json
schema cards_labels
Property Type Required
name string optional
color string optional
value string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/labels
PUT /cards/{idCard}/labels
operationId: Card_updateLabels

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Labels” to be updated.

application/json
schema cards_labels
Property Type Required
name string optional
color string optional
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/labels
DELETE /cards/{idCard}/labels/{color}
operationId: Card_removeLabelsByIdCardByColor

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

color path required string

color

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/labels/{color}
GET /cards/{idCard}/list
operationId: Card_getListById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: closed, idBoard, name, pos or subscribed

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/list
GET /cards/{idCard}/list/{field}
operationId: Card_getCardsListByIdCardByField

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

field path required string

field

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/list/{field}
POST /cards/{idCard}/markAssociatedNotificationsRead
operationId: Card_markAssociatedNotificationsRead

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/markAssociatedNotificationsRead
GET /cards/{idCard}/members
operationId: Card_listMembersByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/members
GET /cards/{idCard}/membersVoted
operationId: Card_getMembersVotedByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/membersVoted
POST /cards/{idCard}/membersVoted
operationId: Card_addMembersVoted

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Members Voted” to be added.

application/json
schema cards_membersVoted
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/membersVoted
DELETE /cards/{idCard}/membersVoted/{idMember}
operationId: Card_removeMembersVotedByIdCardByIdMember

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idMember path required string

idMember

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/membersVoted/{idMember}
PUT /cards/{idCard}/name
operationId: Card_updateNameById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Name” to be updated.

application/json
schema cards_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/name
PUT /cards/{idCard}/pos
operationId: Card_updatePosByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Pos” to be updated.

application/json
schema cards_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/pos
GET /cards/{idCard}/stickers
operationId: Card_getStickersByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: image, imageScaled, imageUrl, left, rotate, top or zIndex

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/stickers
POST /cards/{idCard}/stickers
operationId: Card_addStickersByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Stickers” to be added.

application/json
schema cards_stickers
Property Type Required
top string optional
left string optional
image string optional
rotate string optional
zIndex string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/stickers
DELETE /cards/{idCard}/stickers/{idSticker}
operationId: Card_removeStickerByIds

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idSticker path required string

idSticker

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/stickers/{idSticker}
GET /cards/{idCard}/stickers/{idSticker}
operationId: Card_getStickerByIds

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idSticker path required string

idSticker

fields query optional string

all or a comma-separated list of: image, imageScaled, imageUrl, left, rotate, top or zIndex

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/stickers/{idSticker}
PUT /cards/{idCard}/stickers/{idSticker}
operationId: Card_updateStickersByIdCardByIdSticker

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idSticker path required string

idSticker

Request Body

required

Attributes of “Cards Stickers” to be updated.

application/json
schema cards_stickers
Property Type Required
top string optional
left string optional
image string optional
rotate string optional
zIndex string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/stickers/{idSticker}
PUT /cards/{idCard}/subscribed
operationId: Card_updateSubscribedByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Subscribed” to be updated.

application/json
schema cards_subscribed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/subscribed
GET /cards/{idCard}/{field}
operationId: Card_getByIdField

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

field path required string

field

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/{field}

Checklist 11 endpoints

POST /checklists
operationId: Checklist_create

Request Body

required

Attributes of “Checklists” to be added.

application/json
schema checklists
Property Type Required
pos string optional
name string optional
idCard string optional
idBoard string optional
idChecklistSource string optional

Responses

200

Success

400

Server rejection

POST /checklists
DELETE /checklists/{idChecklist}
operationId: Checklist_removeById

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Responses

200

Success

400

Server rejection

DELETE /checklists/{idChecklist}
GET /checklists/{idChecklist}
operationId: Checklist_getById

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

cards query optional string

One of: all, closed, none, open or visible

card_fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

checkItems query optional string

One of: all or none

checkItem_fields query optional string

all or a comma-separated list of: name, nameData, pos, state or type

fields query optional string

all or a comma-separated list of: idBoard, idCard, name or pos

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}
PUT /checklists/{idChecklist}
operationId: Checklist_updateByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Request Body

required

Attributes of “Checklists” to be updated.

application/json
schema checklists
Property Type Required
pos string optional
name string optional
idCard string optional
idBoard string optional
idChecklistSource string optional

Responses

200

Success

400

Server rejection

PUT /checklists/{idChecklist}
GET /checklists/{idChecklist}/board
operationId: Checklist_getBoardByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/board
GET /checklists/{idChecklist}/board/{field}
operationId: Checklist_getBoardByIdChecklistByField

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

field path required string

field

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/board/{field}
GET /checklists/{idChecklist}/cards
operationId: Checklist_listCardsByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

attachments query optional string

A boolean value or "cover" for only card cover attachments

attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

stickers query optional string

true or false

members query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

checkItemStates query optional string

true or false

checklists query optional string

One of: all or none

limit query optional string

a number from 1 to 1000

since query optional string

A date, or null

before query optional string

A date, or null

filter query optional string

One of: all, closed, none or open

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/cards
GET /checklists/{idChecklist}/cards/{filter}
operationId: Checklist_getCardsByFilter

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/cards/{filter}
GET /checklists/{idChecklist}/checkItems
operationId: Checklist_getCheckItemsByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

filter query optional string

One of: all or none

fields query optional string

all or a comma-separated list of: name, nameData, pos, state or type

Responses

200

Success

400

Server rejection

GET /checklists/{idChecklist}/checkItems
POST /checklists/{idChecklist}/checkItems
operationId: Checklist_addCheckItemsByIdChecklist

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

Request Body

required

Attributes of “Checklists Check Items” to be added.

application/json
schema checklists_checkItems
Property Type Required
pos string optional
name string optional
checked string optional

Responses

200

Success

400

Server rejection

POST /checklists/{idChecklist}/checkItems
DELETE /checklists/{idChecklist}/checkItems/{idCheckItem}
operationId: Checklist_removeByIdCheckItem

Parameters

Name In Required Type Description
idChecklist path required string

idChecklist

idCheckItem path required string

idCheckItem

Responses

200

Success

400

Server rejection

DELETE /checklists/{idChecklist}/checkItems/{idCheckItem}
Load more endpoints